// Copyright (C) 2010 - DIGITEO - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

// Get function value at x0 for Rosenbrock's test case
n = 2;
m = 2;
x = [-1.2,1]';
nprob = 1;
f = uncprb_getobjfcn(n,m,x,nprob);
assert_checkalmostequal ( f , 24.2, %eps );

// Get function value at x* for Rosenbrock's test case
n = 2;
m = 2;
x = [1 1]';
nprob = 1;
f = uncprb_getobjfcn(n,m,x,nprob);
assert_checkalmostequal ( f , 0, %eps );


